Vulnerability allows a hacker to breach VPN connections

0
147


A new vulnerability, recently discovered by security researchers, affects operating systems such as Linux, Android, MacOS and others, allowing an intruder to monitor, breach, and experiment with VPN connections.

It was named CVE-2019-14899 and is located in the stacks of multiplexing Unix-based operating systems, and more specifically in how operating systems respond to unexpected network packet detectors.

As the team of investigators revealed, malicious users can use this vulnerability to detect devices and find out details about their victim’s VPN connection status.

Attacks can take place through a malicious access point or router or even from one hacker located on the same network to “determine if another user is connected to a VPN, the virtual IP address assigned by the VPN server, and whether or not there is an active connection to a particular site.”

In addition, the research team claims that it was able to determine the exact sequence of packets in some VPN connections.

“This allows us to import data into the stream TCP and breaking links, “said William J. Tolley, one of the three members of the Breakpointing Bad research team at the University of New Mexico, who is investigating the case.

The team stated that it was able to exploit this vulnerability in the following operating systems:

Ubuntu 19.10 (systemd)

Fedora (systemd)

Debian 10.2 (systemd)

Arch 2019.05 (systemd)

Manjaro 18.1.1 (systemd)

Devuan (sysV init)

MX Linux 19 (Mepis + antiX)

Void Linux (runit)

Slackware 14.2 (rc.d)

Deepin (rc.d)

FreeBSD (rc.d)

OpenBSD (rc.d)

However, other Unix-based operating systems, such as Android and MacOS, are also affected.

The VPNs that the research team was able to influence were OpenVPN, WireGuard and IKEv2 / IPSec and possibly others, as they said “the VPN technology used doesn’t seem to matter.”

In response, Jason A. Donenfeld, creator of the WireGuard open source VPN, stated that “this is not a WireGuard vulnerability, but something in the routing table code and / or TCP code in the affected operating systems.”

According to the research team, the attack is based on sending unwanted network packets to the victim’s device.

The smart attack is based on how the research team created these packages and how they used system responses to infer what the user did on the VPN network.

The attack is not easy to execute, so a massive exploitation is difficult to accomplish before they are created patches. However, vulnerability is ideal for targeted attacks if the attacker has the experience to execute it.

How useful was this post?

Average rating / 5. Vote count:

No votes so far! Be the first to rate this post.

Vulnerability allows a hacker to breach VPN connections was last modified: December 6, 2019, 5: 44 by Absent Mia



Source link